
// const getReq = require('./../../../config.js').getReq
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    tabs: {
      type: Array
    },
    num: {
      type: Number
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    secIndex: 0 
  },
  /**
   * 组件的方法列表
   */
  methods: {
    secTabs: function (e) {
      let secIndex = e.currentTarget.dataset.id
      if (secIndex == this.data.secIndex) {
        return
      }      
      let item = e.currentTarget.dataset.item
      this.setData({
        secIndex
      })
      var myEventDetail = { item } // detail对象，提供给事件监听函数   
      this.triggerEvent('myevent', myEventDetail)
    }
  } 
})
